Bug 210255 - x11/kde4 update to 4.14.10
Summary: x11/kde4 update to 4.14.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 210045
Blocks: 205339
  Show dependency treegraph
 
Reported: 2016-06-13 15:03 UTC by groot
Modified: 2016-06-23 05:13 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+


Attachments
Update Mk/bsd.kde.mk and x11/kde4 ... (49.66 KB, patch)
2016-06-13 15:03 UTC, groot
no flags Details | Diff
Update Mk/bsd.kde.mk and x11/kde4 (v2) (48.82 KB, patch)
2016-06-14 07:31 UTC, groot
no flags Details | Diff
Update Mk/bsd.kde.mk and x11/kde4 (v3) (53.31 KB, patch)
2016-06-14 21:22 UTC, groot
no flags Details | Diff
Update Mk/bsd.kde.mk and x11/kde4 (v4) (48.75 KB, patch)
2016-06-16 16:05 UTC, groot
no flags Details | Diff
Attachments Update Mk/bsd.kde.mk and x11/kde4 (v5) (48.39 KB, patch)
2016-06-17 10:56 UTC, Tobias Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description groot 2016-06-13 15:03:01 UTC
Created attachment 171389 [details]
Update Mk/bsd.kde.mk and x11/kde4 ...

This is based on the area51 testing repository of the KDE-FreeBSD project, containing work by Raphael Kubo da Costa, Tobias Berner, Ralf Nolden, Adriaan de Groot and probably many more whom I've forgotten just now.

KDE4 releases have fallen into three tracks now that KDE4 is pretty much end-of-life upstream. There's the libraries, the workspace (Plasma4) and applications.

This patch introduces KDE4_KDELIBS_VERSION to track library releases, which are still done infrequently. It bumps the workspace version. It leaves applications alone. This has an effect on some applications pkg-plists where library version numbers need to be changed. Other than that it's supposed to be a minor upgrade, which opens the doors for more reorganization and getting KDE Frameworks 5 in.

While this is supposed to be a minor upgrade, it does touch a lot of different bits and a Mk/ file. I don't know what conditions suggest an exp-run, but this might be one.
Comment 1 groot 2016-06-14 07:31:37 UTC
Created attachment 171410 [details]
Update Mk/bsd.kde.mk and x11/kde4 (v2)

Integrate the HUPnP and Avahi fix from PR205339 by matthew@reztek.cz into the total patch. With this, PR205339 can be obsoleted.
Comment 2 groot 2016-06-14 07:43:54 UTC
Adding pi@, asking tcberner to comment as well.
Comment 3 Antoine Brodin freebsd_committer 2016-06-14 13:49:54 UTC
Could the py-qt4 fallout be fixed before the exp-run?  (see bug #210045 )
Comment 4 Tobias Berner 2016-06-14 14:05:46 UTC
I think there is a version mix-up in this patch, that has to be fixed before an exp-run anyway.

I will take a look at 210045.
Comment 5 Kurt Jaeger freebsd_committer 2016-06-14 18:20:51 UTC
While the patch probably still applies, I assume from comment 4 that a new patch
will be supplied ? Thanks!
Comment 6 groot 2016-06-14 19:08:58 UTC
Yes, a new patch will be produced once I've sorted out the version problems Tobias mentions in comment:4.
Comment 7 groot 2016-06-14 21:22:41 UTC
Created attachment 171446 [details]
Update Mk/bsd.kde.mk and x11/kde4 (v3)

This is the third iteration; it fixes the version mismatch Tobias mentions.
Comment 8 Antoine Brodin freebsd_committer 2016-06-16 14:52:15 UTC
Can you provide a patch that can be applied with svn patch, or provide instructions on how to apply your patch?
Comment 9 Mathieu Arnold freebsd_committer 2016-06-16 15:18:24 UTC
Also, as it is becoming more and more frequent with out-of-source patches, please check that it is against the latest version of the ports tree.
Comment 10 groot 2016-06-16 15:40:40 UTC
Sure (to both comment 8 and comment 9). This PR was partly overtaken by PR 209838, so I'll regenerate it from a fully up-to-date ports tree.
Comment 11 groot 2016-06-16 16:05:27 UTC
Created attachment 171487 [details]
Update Mk/bsd.kde.mk and x11/kde4 (v4)

Another iteration, generated with "svn diff" from a freshly updated ports tree.
Comment 12 Kurt Jaeger freebsd_committer 2016-06-16 16:10:10 UTC
tested, this patch applies nicely.
Comment 13 Antoine Brodin freebsd_committer 2016-06-16 18:03:25 UTC
1st failure, that will block lots of kde ports:

http://package18.nyi.freebsd.org/data/103amd64-default-PR210255/2016-06-16_16h50m50s/logs/errors/ksysguardd-4.11.20.log
Comment 14 Tobias Berner 2016-06-17 10:56:54 UTC
Created attachment 171504 [details]
Attachments Update Mk/bsd.kde.mk and x11/kde4 (v5)

On behalf of Adriaan (who suffers from flakey internet) here's the updated diff which should fix the ksysguard fetch issue.
Comment 15 groot 2016-06-17 20:53:28 UTC
The v4 diff is obsolete, but because tcberner uploaded the v5, he couldn't mark the old one obsolete during the upload; and I can't mark attachments obsolete without uploading a v6. So as it stands, v5 from tcberner is the right one.
Comment 16 Antoine Brodin freebsd_committer 2016-06-21 06:23:22 UTC
Exp-run was fine.

For the record, those 6 kde-related ports fail to build with libc++ 3.8  (logs available on portsmon):

deskutils/plasma-applet-playwolf
multimedia/k9copy-kde4
multimedia/subtitlecomposer-kde4
net-im/kmess-kde4
multimedia/kdenlive
net/knemo-kde4
Comment 17 Kurt Jaeger freebsd_committer 2016-06-21 22:36:07 UTC
If kde@ has no other comment, I can add this to the tree.
Comment 18 Anthony Jenkins 2016-06-22 03:57:37 UTC
(In reply to Antoine Brodin from comment #16)

I've submitted patches upstream for knemo-kde4, but the maintainer is checking out of the maintenance business.  I've committed the patches to two branches:

 - FreeBSD IPv6 support - https://quickgit.kde.org/?p=knemo.git&a=shortlog&h=45674c97c735fd7b44eb8c1517f0a69d09d71e33
 - clang compile error fixes - https://quickgit.kde.org/?p=knemo.git&a=shortlog&h=aeaeebfb5112cc85cc2f03dfb9ddf30e8e53cf6b

but haven't bothered trying to compile these on Linux et al. or older versions of FreeBSD.
Comment 19 commit-hook freebsd_committer 2016-06-22 18:58:18 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 22 18:57:36 UTC 2016
New revision: 417328
URL: https://svnweb.freebsd.org/changeset/ports/417328

Log:
  x11/kde4: update to kdelibs version 4.14.10

  This is based on the area51 testing repository of the KDE-FreeBSD
  project, containing work by Raphael Kubo da Costa, Tobias Berner,
  Ralf Nolden, Adriaan de Groot and probably many more from the KDE
  team.

  KDE4 releases have fallen into three tracks now that KDE4 is pretty
  much end-of-life upstream. There's the libraries, the workspace
  (Plasma4) and applications.

  This patch introduces KDE4_KDELIBS_VERSION to track library releases,
  which are still done infrequently. It bumps the workspace version.
  It leaves applications alone. This has an effect on some applications
  pkg-plists where library version numbers need to be changed. Other
  than that it's supposed to be a minor upgrade, which opens the doors
  for more reorganization and getting KDE Frameworks 5 in.

  PR:		210255
  Submitted by:	Adriaan de Groot <groot@kde.org> (kde), Tobias C.Berner <tcberner@gmail.com> (kde)
  Exp-run by:	antoine

Changes:
  head/Mk/bsd.kde4.mk
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4/distinfo
  head/deskutils/kdepim4/pkg-plist
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepim4-runtime/distinfo
  head/deskutils/kdepim4-runtime/pkg-plist
  head/deskutils/kdepimlibs4/Makefile
  head/deskutils/kdepimlibs4/distinfo
  head/deskutils/kdepimlibs4/files/patch-git_8d49c611
  head/deskutils/kdepimlibs4/pkg-plist
  head/graphics/okular/files/patch-OkularConfig.cmake
  head/sysutils/baloo/Makefile
  head/sysutils/baloo/pkg-plist
  head/sysutils/kfilemetadata/pkg-plist
  head/sysutils/ksysguardd/Makefile
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/nepomuk-core/pkg-plist
  head/sysutils/nepomuk-widgets/pkg-plist
  head/x11/kde4-workspace/Makefile
  head/x11/kde4-workspace/distinfo
  head/x11/kde4-workspace/files/patch-kwin_opengltest_CMakeLists.txt
  head/x11/kde4-workspace/pkg-plist
  head/x11/kdelibs4/Makefile
  head/x11/kdelibs4/distinfo
  head/x11/kdelibs4/files/patch-mimetypes_kde.xml
  head/x11/kdelibs4/files/patch-solid__solid__managerbase.cpp
  head/x11/kdelibs4/pkg-message
  head/x11/kdelibs4/pkg-plist
  head/x11/plasma-scriptengine-python/Makefile
  head/x11/plasma-scriptengine-ruby/Makefile
Comment 20 commit-hook freebsd_committer 2016-06-23 05:13:01 UTC
A commit references this bug:

Author: pi
Date: Thu Jun 23 05:12:44 UTC 2016
New revision: 417342
URL: https://svnweb.freebsd.org/changeset/ports/417342

Log:
  sysutils/{kfilemetadata|nepomuk-core|nepomuk-widgets}: bump PORTREVISION
  x11/kde4-workspace: removed ${CAT} ${PKGMESSAGE}

  PR:		210255
  Submitted by:	tijl

Changes:
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/nepomuk-widgets/Makefile
  head/x11/kde4-workspace/Makefile
Comment 21 Kurt Jaeger freebsd_committer 2016-06-23 05:13:55 UTC
Committed, thanks!